export declare const Tree: import('react').ForwardRefExoticComponent<import('./tree-root').TreeRootProps & import('react').RefAttributes<HTMLUListElement>> & {
    Folder: import('react').ForwardRefExoticComponent<import('./tree-folder').TreeFolderProps & import('react').RefAttributes<HTMLLIElement>>;
    FolderTrigger: import('react').ForwardRefExoticComponent<import('./tree-folder-trigger').TreeFolderTriggerProps & import('react').RefAttributes<HTMLDivElement>>;
    FolderContent: import('react').ForwardRefExoticComponent<import('./tree-folder-content').TreeFolderContentProps & import('react').RefAttributes<HTMLDivElement>>;
    File: import('react').ForwardRefExoticComponent<import('./tree-file').TreeFileProps & import('react').RefAttributes<HTMLLIElement>>;
    Icon: import('react').ForwardRefExoticComponent<import('./tree-icon').TreeIconProps & import('react').RefAttributes<HTMLSpanElement>>;
    Label: import('react').ForwardRefExoticComponent<import('./tree-label').TreeLabelProps & import('react').RefAttributes<HTMLSpanElement>>;
    Input: import('react').ForwardRefExoticComponent<import('./tree-input').TreeInputProps & import('react').RefAttributes<HTMLLIElement>>;
};
